#!/usr/bin/env node

'use strict';

var program = require('commander');
var SitemapGenerator = require('./lib/SitemapGenerator.js');
var pkg = require('./package.json');

var generator;

program.version(pkg.version)
  .usage('[options] <url>')
  .option('-q, --query', 'consider query string')
  .option('-f, --filename [filename]', 'sets output filename')
  .option('-p, --path [path]', 'specifies output path')
  .parse(process.argv);

if (!program.args[0]) {
  program.help();
  process.exit();
}

generator = new SitemapGenerator({
  url: program.args[0],
  query: program.query,
  path: program.path,
  filename: program.filename,
});
generator.start();
